﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="UserSettingConstants.cs" company="HandBrake Project (http://handbrake.fr)">
//   This file is part of the HandBrake source code - It may be used under the terms of the GNU General Public License.
// </copyright>
// <summary>
//   Constants for the User Settings Service
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace HandBrakeWPF
{
    /// <summary>
    /// Constants for the User Settings Service
    /// </summary>
    public class UserSettingConstants
    {
        #region Constants and Fields

        /// <summary>
        /// Add Only One Per Langage
        /// </summary>
        public const string AddOnlyOneAudioPerLanguage = "addOnlyOneAudioPerLanguage";

        /// <summary>
        /// Appcast i686
        /// </summary>
        public const string Appcast_i686 = "appcast_i686";

        /// <summary>
        /// Appcast 64
        /// </summary>
        public const string Appcast_x64 = "appcast_x64";

        /// <summary>
        /// Auto name format
        /// </summary>
        public const string AutoNameFormat = "autoNameFormat";

        /// <summary>
        /// Autoname path
        /// </summary>
        public const string AutoNamePath = "autoNamePath";

        /// <summary>
        /// Auto Name Remove underscore
        /// </summary>
        public const string AutoNameRemoveUnderscore = "AutoNameRemoveUnderscore";

        /// <summary>
        /// Auto Name Title Case
        /// </summary>
        public const string AutoNameTitleCase = "AutoNameTitleCase";

        /// <summary>
        /// Auto Naming
        /// </summary>
        public const string AutoNaming = "autoNaming";

        /// <summary>
        /// Clear old logs
        /// </summary>
        public const string ClearOldLogs = "clearOldLogs";

        /// <summary>
        /// Update check interval
        /// </summary>
        public const string DaysBetweenUpdateCheck = "daysBetweenUpdateCheck";

        /// <summary>
        /// Use Default Player
        /// </summary>
        public const string DefaultPlayer = "defaultPlayer";

        /// <summary>
        /// Dub mode
        /// </summary>
        public const string DubMode = "DubMode";

        /// <summary>
        /// Dub Mode Audio
        /// </summary>
        public const string DubModeAudio = "DubModeAudio";

        /// <summary>
        /// Dub Mode Subs
        /// </summary>
        public const string DubModeSubtitle = "DubModeSubtitle";

        /// <summary>
        /// Last Update Check
        /// </summary>
        public const string LastUpdateCheckDate = "lastUpdateCheckDate";

        /// <summary>
        /// Main Window Minimise
        /// </summary>
        public const string MainWindowMinimize = "MainWindowMinimize";

        /// <summary>
        /// Min Title Length
        /// </summary>
        public const string MinTitleLength = "MinTitleLength";

        /// <summary>
        /// Native Language Audio
        /// </summary>
        public const string NativeLanguage = "NativeLanguage";

        /// <summary>
        /// Native Language Subs
        /// </summary>
        public const string NativeLanguageForSubtitles = "NativeLanguageSubtitles";

        /// <summary>
        /// Preset Notification
        /// </summary>
        public const string PresetNotification = "presetNotification";

        /// <summary>
        /// Selected Languages
        /// </summary>
        public const string SelectedLanguages = "SelectedLanguages";

        /// <summary>
        /// AUudio Passthru
        /// </summary>
        public const string ShowAdvancedAudioPassthruOpts = "ShowAdvancedAudioPassthruOpts";

        /// <summary>
        /// Skip Version
        /// </summary>
        public const string Skipversion = "skipversion";

        /// <summary>
        /// Tooltip
        /// </summary>
        public const string TooltipEnable = "tooltipEnable";

        /// <summary>
        /// Tray Icon
        /// </summary>
        public const string TrayIconAlerts = "trayIconAlerts";

        /// <summary>
        /// Update Status
        /// </summary>
        public const string UpdateStatus = "updateStatus";

        /// <summary>
        /// Closed Captions
        /// </summary>
        public const string UseClosedCaption = "useClosedCaption";

        /// <summary>
        /// Use m4v
        /// </summary>
        public const string UseM4v = "useM4v";

        /// <summary>
        /// Vlc Path
        /// </summary>
        public const string VLC_Path = "VLC_Path";

        /// <summary>
        /// The enable process isolation.
        /// </summary>
        public const string EnableProcessIsolation = "EnableProcessIsolation";

        /// <summary>
        /// The server port.
        /// </summary>
        public const string ServerPort = "ServerPort";

        /// <summary>
        /// Enable Debugging features within the GUI.
        /// </summary>
        public const string EnableDebugFeatures = "EnableDebugFeatures";

        /// <summary>
        /// Enable the use of LibHb instead of HandBrakeCLI
        /// </summary>
        public const string EnableLibHb = "EnableLibHb";

        #endregion
    }
}